<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>AAA.lib.owner.to.docked</name>
<version>2</version>
<engineversion>25</engineversion>
<description>Set docked ships homebase</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$ships&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;ship&#160;array&#160;from&#160;sector/ship/station</text></line>
<line linenr="002" indent=""><var>$count&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ships</var></line>
<line linenr="003" indent=""><var>if&#160;</var><var>$count</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>0</var></line>
<line linenr="004" indent="&#160;"><var>$a&#160;=&#160;</var><var>0</var></line>
<line linenr="005" indent="&#160;"><var>while&#160;</var><var>$a</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$count</var></line>
<line linenr="006" indent="&#160;&#160;"><var>$navire&#160;=&#160;</var><var>$ships</var><text>[</text><var>$a</var><text>]</text></line>
<line linenr="007" indent="&#160;&#160;"><var>$navire&#160;-&gt;</var><text>&#160;set&#160;homebase&#160;to&#160;</text><var>[THIS]</var></line>
<line linenr="008" indent="&#160;&#160;"><text>inc&#160;</text><var>$a&#160;=&#160;</var></line>
<line linenr="009" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>20</var><text>&#160;ms</text></line>
<line linenr="010" indent="&#160;"><text>end</text></line>
<line linenr="011" indent=""><text>end</text></line>
<line linenr="012" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="AAA.lib.owner.to.docked" /><sval type="int" val="25" /><sval type="string" val="Set docked ships homebase" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="4"><sval type="string" val="ships" /><sval type="string" val="count" /><sval type="string" val="a" /><sval type="string" val="navire" /></sval><sval type="array" size="11"><sval type="array" size="4"><sval type="int" val="1008" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610173" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610167" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="5"><sval type="int" val="713" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="20" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
